### Function

# PangoCairo context_set_shape_renderer

#### Declaration [src]

    void
    pango_cairo_context_set_shape_renderer (
      PangoContext* context,
      PangoCairoShapeRendererFunc func,
      gpointer data,
      GDestroyNotify dnotify
    )

#### Description [src]

Sets callback function for context to use for rendering attributes of type `PANGO_ATTR_SHAPE`.

See `PangoCairoShapeRendererFunc` for details.

Available since: | 1.18

#### Parameters

`context` | `PangoContext*`
| A `PangoContext`, from a pangocairo font map.
| The data is owned by the caller of the function.
`func` | `PangoCairoShapeRendererFunc`
| Callback function for rendering attributes of type `PANGO_ATTR_SHAPE`, or `NULL` to disable shape rendering.
`data` | `gpointer`
| User data that will be passed to `func`.
`dnotify` | `GDestroyNotify`
| Callback that will be called when the context is freed to release `data`.